SINFO(1)

NAME
sinfo - Used to view information about Slurm nodes and partitions.

SYNOPSIS
sinfo [OPTIONS...]

DESCRIPTION
sinfo is used to view partition and node information for a system running SLURM.

OPTIONS

-?, --help
    Print a help message describing the usage of sinfo.

-e, --exact
    If set, do not group node information on multiple nodes unless their configurations to be reported are identical. Otherwise cpu count, memory size, and disk space for nodes will be listed with the minimum value followed by a "+" for nodes with the same partition and state (e.g., "250+").

-h, --noheader
    Do not print a header on the output.

-i <seconds> , --iterate=<seconds>
    Print the state on a periodic basis. Sleep for the indicated number of seconds between reports.

-l , --long
    Print more detailed information. This is ignored if the --format option is specified.

-n <nodes> , --nodes=<nodes>
    Print information only about the specified node(s).

-N , --Node
    Print information in a node-oriented format. The default is to print information in a partition-oriented format. This is ignored if the --format option is specified.

-o <output_format>, --format=<output_format>
    Specify the information to be displayed. The default format is "%9P %5a %.8l %.6D %6t %N". If the --summarize option is specified, the default format is "%9P %5a %.8l %15F %N". If the --long option is specified, the default format is "%9P %5a %.8l %.8s %4r %5h %10g %.6D %11T %N". If the --Node option is specified, the default format is "%#N %.6D %9P %6t". If the --Node and --long options are both specified, the default format is "%#N %.6D %9P %11T %.4c %.6m %.8d %.6w %8f". In the above two formats the value of "#" represents the maximum length of an node list to be printed. The field specifications available include:
    %a State/availability of a partition
    %A Number of nodes by state in the format "allocated/total". Do not use this with a node state option ("%t" or "%T") or the different node states will be placed on separate lines.
    %c Number of CPUs per node
    %d Size of temporary disk space per node in megabytes
    %D Number of nodes
    %f Features associated with the nodes
    %F Number of nodes by state in the format "allocated/idle/other/total". Do not use this with a node state option ("%t" or "%T") or the different node states will be placed on separate lines.
    %g Groups which may use the nodes
    %h Jobs may share nodes, "YES", "NO", or "FORCE"
    %l Maximum time for any job in the format "days:hours:minutes:seconds"
    %m Size of memory per node in megabytes
    %N List of node names
    %P Partition name
    %r Only user root may initiate jobs, "YES" or "NO"
    %s Maximum job size in nodes
    %t State of nodes, compact form
    %T State of nodes, extended form
    %w Scheduling weight of the nodes
    %.<*> right justification of the field
    %<Number><*> size of field

-t <state> , --state=<state>
    List nodes of a given state.

-s , --summarize
    List only a partition state summary with no node state details. This is ignored if the --format option is specified.

-p <partition>, --partition=<partition>
    Print information only about the specified partition.

--usage
    Dipaly brief description of commands and options.

-v , --verbose
    Provide detailed event logging through program execution.

-V , --version
    Print version information and exit.

ARGUMENTS

nodes
    The names of one or more comma separated nodes. Names may be specified using node range expressions. For example "linux[00-07]" would indicate eight nodes, "linux00" through "linux07".

partition
    The name of one partition.

state
    A valid node state. Possible values include: ALLOC, ALLOCATED, COMP, COMPLETING, DOWN, DRAIN, DRAINED, DRAINING, IDLE, UNK, and UNKNOWN. A "*" suffix may be appended to any of these states to search for nodes in the specified state which are not responding. By default nodes in the specified state are reported whether they are responding or not.

OUTPUT

AVAIL
    Partition state, UP or DOWN.

CPUS
    Count of CPUs (processors) on these nodes.

GROUPS
    Resource allocations in this partition are restricted to the named groups. ALL indicates that all groups may use this partition.

JOB_SIZE
    Minimum and maximum node count that can be allocated to any user job. A single number indicates the minimum and maximum node count are the same. INFINITE is used to identify partitions without a maximum node count.

MAX_TIME
    Maximum time limit for any user job in days:hours:minutes:seconds. INFINITE is used to identify partitions without a job time limit.

MEMORY
    Size of real memory in megabytes on these nodes.

NODE_LIST
    Names of nodes associated with this configuration/partition.

#NODES
    Count of nodes with this particular configuration.

#NODES(A/T)
    Count of nodes with this particular configuration by node state in the form "available/total".

#NODES(A/I/O/T)
    Count of nodes with this particular configuration by node state in the form "available/idle/other/total".

PARTITION
    Name of a partition. Note that the suffix "*" identifies the default partition.

ROOT
    Is the ability to allocate resources in this partition restricted to user root, YES or NO.

SHARE
    Will jobs allocated resources in this partition share those resources. NO indicates resources are never shared. FORCE indicates resources are always available to be shared. YES indicates resource may be shared or not per job's resource allocation.

STATE
    State of the nodes. Note that the suffix "*" identifies nodes that are presently not responding.

TMP_DISK
    Size of temporary disk space in megabytes on these nodes.

ENVIRONMENT VARIABLES

Some sinfo options may be set via environment variables. These environment variables, along with their corresponding options, are listed below. (Note: Commandline options will always override these settings.)

SINFO_FORMAT
    -o <output_format>, --format=<output_format>

SINFO_PARTITION
    -p <partition>, --partition=<partition>

EXAMPLES
Report basic node and partition configurations:
> sinfo
PARTITION AVAIL MAX_TIME #NODES STATE NODE_LIST
------------------------------------------------
debug UP 30:00 8 IDLE adev[0-7]
batch* UP INFINITE 2 ALLOC adev[8-9]
batch* UP INFINITE 6 IDLE adev[10-15]

Report partition summary information:
> sinfo -s
PARTITION AVAIL MAX_TIME #NODES(A/I/O/T) NODE_LIST
---------------------------------------------------
debug UP 30:00 0/8/0/8 adev[0-7]
batch* UP INFINITE 2/6/0/8 adev[8-15]

Report more complete information about the partition debug:
> sinfo --long --partition=debug
PARTITION AVAIL MAX_TIME JOB_SIZE ROOT SHARE GROUPS #NODES STATE NODE_LIST
--------------------------------------------------------------------------
debug UP 30:00 8 NO NO ALL 8 IDLE dev[0-7]
Report only those nodes that are in state DRAINED:
> sinfo --state=DRAINED
PARTITION AVAIL NODES STATE NODE_LIST
--------------------------------------
debug UP 2 DRAIN adev[6-7]
Report node-oriented information with details and exact matches:
> sinfo -Nel
NODE_LIST #NODES PARTITION STATE CPUS MEMORY TMP_DISK WEIGHT FEATURES
-----------------------------------------------------------------------
adev[0-1] 2 debug IDLE 2 3448 38536 16 (null)
adev[2,4-7] 5 debug IDLE 2 3384 38536 16 (null)
adev3 1 debug IDLE 2 3394 38536 16 (null)
adev[8-9] 2 batch ALLOCATED 2 246 82306 16 (null)
adev[10-15] 6 batch IDLE 2 246 82306 16 (null)

COPYING
Copyright (C) 2002 The Regents of the University of California. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). UCRL-CODE-2002-040.

This file is part of SLURM, a resource management program. For details, see <http://www.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
scontrol(1), squeue(1), slurm_load_ctl_conf(3), slurm_load_jobs(3), slurm_load_node(3), slurm_load_partitions(3), slurm_reconfigure(3), slurm_shutdown(3), slurm_update_job(3), slurm_update_node(3), slurm_update_partition(3)